# Get Estimate Endpoint: GET /{estimates-type}/{document-id}.json Version: 2.0.0 Security: apiKeyAuth ## Path parameters: - `document-id` (integer, required) The ID of the document. Example: 1050 - `estimates-type` (string, required) The type of the estimate document. Enum: "quotes", "proformas", "fees_notes" ## Query parameters: - `api_key` (string, required) Your API Key. Example: "YOUR_API_KEY" ## Response 200 fields (application/json): - `quote` (object) - `quote.id` (integer) Example: 541791 - `quote.status` (string) Example: "final" - `quote.archived` (boolean) - `quote.type` (string) Enum: "Quote", "Proforma", "FeesNote" - `quote.sequence_number` (string) Example: "1/A" - `quote.inverted_sequence_number` (string) Example: "A/1" - `quote.atcud` (string) Example: "ABCD1234-1" - `quote.date` (string) Example: "12/06/2017" - `quote.due_date` (string) Example: "12/06/2017" - `quote.reference` (string,null) - `quote.observations` (string,null) No enforced character limit (text column). Example: "foo" - `quote.retention` (string,null) - `quote.permalink` (string) Example: "https://web.invoicexpress.com/documents/541791f16ae45a73b703c684a221ef198c10020f3d56a1" - `quote.saft_hash` (string) Server-generated. No enforced character limit (text column). Example: "NfTN" - `quote.sum` (number) Example: 10 - `quote.discount` (number) - `quote.before_taxes` (number) Example: 10 - `quote.taxes` (number) Example: 2.3 - `quote.total` (number) Example: 12.3 - `quote.currency` (string) Example: "Euro" - `quote.sequence_id` (integer,null) Example: 12345 - `quote.tax_exemption` (string) Example: "M01" - `quote.cancel_reason` (string) Only present when the document is canceled. Example: "Wrong client" - `quote.mb_reference` (object) Only present when the document is final and has an MB reference. - `quote.mb_reference.entity` (string) Example: "10611" - `quote.mb_reference.value` (number) Example: 123.45 - `quote.multicurrency` (object) Only present for documents in a foreign currency. - `quote.multicurrency.rate` (number) Example: 1.1 - `quote.client` (object) id and name are always present. The other fields are only returned when they have a value. - `quote.client.name` (string) Example: "John Doe" - `quote.client.code` (string) Example: "C1" - `quote.client.country` (string) Example: "Portugal" - `quote.client.email` (string) Example: "john@example.com" - `quote.client.address` (string) Example: "Avenida da República" - `quote.client.postal_code` (string) Example: "1050-555" - `quote.client.city` (string) Example: "Lisboa" - `quote.client.fiscal_id` (string) Example: "508025338" - `quote.client.website` (string) Example: "www.example.com" - `quote.client.phone` (string) Example: "910000000" - `quote.client.fax` (string) Example: "210000000" - `quote.client.observations` (string) Example: "VIP client" - `quote.items` (array) - `quote.items.description` (string,null) Example: "Big Product" - `quote.items.unit_price` (string) Example: "100.0" - `quote.items.quantity` (string) Example: "1.0" - `quote.items.unit` (string) Example: "un" - `quote.items.tax` (object) - `quote.items.subtotal` (number) Example: 100 - `quote.items.tax_amount` (number) Example: 23 - `quote.items.discount_amount` (number) ## Response 401 fields (application/json): - `errors` (array) - `errors.error` (string) Example: "Authentication Error" ## Response 404 fields (application/json): - `errors` (array) - `errors.error` (string) Example: "Document not found"